* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  scroll-behavior: smooth;
}

.navbar {
  font-size: 15px;
  line-height: 15px;
  height: 75px;
  padding: 0;
}

.bi-github, .bi-linkedin, .bi-envelope {
  font-size: 21px;
  padding: 12px;
  overflow: hidden;
}
.bi-github:hover, .bi-linkedin:hover, .bi-envelope:hover {
  font-size: 23px;
}

.navbar-brand {
  line-height: 25px;
  font-size: 18px;
  color: #0da2ff;
  font-weight: bold;
  margin-left: 40px;
}
.navbar-brand:hover {
  color: #0da2ff;
}
.navbar-brand img {
  width: 240px;
}

.icons-holder a {
  text-decoration: none;
}

.nav-item {
  position: relative;
  z-index: 1;
  overflow: hidden;
  padding: 0 12px 0 0;
}
.nav-item:before {
  content: "";
  position: absolute;
  width: 0;
  background-color: #bfe6ff;
  height: 100%;
  -webkit-transition: 0.6s;
  transition: 0.6s;
  z-index: -1;
  -webkit-transform: skew(-30deg);
          transform: skew(-30deg);
  margin-left: -10px;
}
.nav-item:hover::before {
  width: 100%;
}

.margin-link {
  margin-right: 1.5rem;
}

.nav-effect {
  width: 100%;
  height: 5px;
  background-color: #0da2ff;
}

header {
  position: relative;
  width: 100%;
  height: calc(100vh - 75px);
  overflow: hidden;
  background-color: #f5f5f5;
  padding-left: 12%;
}
header h1 {
  position: relative;
  font-size: 60px;
  margin: 30vh 0 -10px 0px;
  -webkit-transition: 1s;
  transition: 1s;
}
header h2 {
  position: relative;
  font-size: 38px;
  color: #0da2ff;
  -webkit-transition: 1.5s;
  transition: 1.5s;
}
header img {
  position: absolute;
  width: 450px;
  bottom: 0;
  left: 55%;
}

.box {
  position: absolute;
  height: calc(100vh - 5px);
  width: 43%;
  right: -210px;
  top: 0;
  -webkit-transform: skew(-22deg);
          transform: skew(-22deg);
  background-color: #0da2ff;
}

.about-section {
  width: 100%;
  color: RGB(57, 57, 57);
  height: auto;
}

.main-text {
  font-weight: bold;
  font-size: 35px;
  margin-top: 60px;
  -webkit-transition: 1s;
  transition: 1s;
}

.shelf {
  width: 70px;
  height: 4px;
  background-color: RGB(57, 57, 57);
  margin-bottom: 70px;
  -webkit-transition: 1.4s;
  transition: 1.4s;
}

.about-info img {
  width: 70%;
  border-radius: 35px;
}
.about-info p {
  line-height: 20px;
  font-size: 15px;
}

.about-column {
  height: auto;
  margin-bottom: 110px;
}

.language {
  width: 100%;
  height: 31px;
  line-height: 31px;
}
.language span {
  padding-right: 13px;
}

.language-name {
  width: 100px;
  background-color: #0da2ff;
}

.language-percent {
  background-color: #e6e6e6;
  border-radius: 7px 7px 7px 0;
  width: 100%;
  padding-right: 10px;
  position: relative;
  text-align: end;
}
.language-percent:before {
  content: "";
  position: absolute;
  height: 31px;
  left: 0;
  background-color: #006fb4;
}

.language-percent1:before {
  width: 85%;
}

.language-percent2:before {
  width: 75%;
}

.language-percent3:before {
  width: 65%;
}

.language-percent4:before {
  width: 30%;
}

.language-percent5:before {
  width: 80%;
}

.language-percent6:before {
  width: 75%;
}

.language-percent7:before {
  width: 30%;
}

.language-percent8:before {
  width: 40%;
}

.language-percent9:before {
  width: 50%;
}

.language-percent10:before {
  width: 20%;
}

.experience-section {
  background-color: #f5f5f5;
}

.experience-heading-text {
  margin: -60px 0 80px 0;
  -webkit-transition: 1.5s;
  transition: 1.5s;
}

.experience-card {
  width: 80%;
  border: 1px solid black;
  border-radius: 30px;
  padding: 50px 40px 20px 80px;
}

.jw-logo, .epinote-logo {
  width: 100%;
  margin: auto;
}

.pikseo-logo {
  width: 75%;
  margin: auto;
}

.card-details {
  width: 55%;
  margin-right: 5rem;
}
.card-details h2 {
  font-size: 40px;
  margin-top: -1rem;
}
.card-details h5 {
  margin-top: -8px;
}
.card-details p {
  margin: 2rem 0 0 0;
  font-size: 0.9rem;
}
.card-details span {
  display: block;
  margin-top: 3rem;
  font-size: 0.9rem;
}
.card-details a {
  display: inline-block;
  margin: 1.6rem 0 0 1rem;
  color: RGB(57, 57, 57);
  font-weight: bold;
  text-decoration: none;
  position: relative;
  z-index: 0;
}
.card-details a i {
  font-size: 1.2rem;
  margin-left: 6px;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}
.card-details a::before {
  position: absolute;
  content: "";
  width: 45px;
  height: 45px;
  border-radius: 23px;
  left: -25px;
  top: -6px;
  z-index: -1;
  background-color: #8cd3ff;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}
.card-details a:hover i {
  margin-left: 1.3rem;
}
.card-details a:hover::before {
  width: 225px;
}

.card-photo {
  width: 45%;
}

.projects-gallery {
  width: 90%;
  overflow-x: hidden;
}

.project-card {
  width: 430px;
  margin: auto;
  -webkit-transition: 1s;
  transition: 1s;
}

.contact-section {
  background-color: #252934;
  margin-top: 20px;
  overflow-x: hidden;
}
.contact-section .shelf {
  background-color: white;
}
.contact-section .main-text {
  margin-top: 20px;
}
.contact-section h3 {
  margin-top: 20px;
}
.contact-section p {
  margin-bottom: 6px;
}
.contact-section a {
  width: 270px;
  text-decoration: none;
}
.contact-section .row {
  -webkit-transition: 1.5s;
  transition: 1.5s;
}

.white-triangle {
  width: 0px;
  height: 0px;
  border-left: 50vw solid transparent;
  border-right: 50vw solid transparent;
  border-top: 70px solid white;
}

footer {
  background-color: #1b242f;
}

.mailbox-icon-fix {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 35px;
  margin-bottom: 7px;
  color: white;
}
.mailbox-icon-fix:hover {
  color: white;
}
.mailbox-icon-fix span {
  padding-top: 14px;
}

@media only screen and (max-width: 1480px) {
  .project-card {
    width: 350px;
  }
}
@media only screen and (max-width: 1250px) {
  .project-card {
    width: 290px;
  }
}
@media only screen and (max-width: 1000px) {
  .experience-card {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
            flex-direction: column-reverse;
    margin: 0;
    padding: 0 20px;
    text-align: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
  .experience-card span {
    margin-bottom: 10px;
  }
  .card-details {
    width: 100%;
    margin: 0;
  }
  .card-details h2 {
    margin-top: 10px;
  }
  .jw-logo {
    margin: 20px 0 30px 0;
    padding: 0;
  }
  .company-name {
    line-height: 30px;
    margin-top: 0px;
  }
  .epinote-logo {
    margin-top: 10px;
  }
  .company-position {
    line-height: 30px;
    margin-bottom: 15px;
  }
  .experience-heading-text {
    margin: -60px 0 30px 0;
    text-align: center;
  }
  header {
    padding-left: 8%;
  }
  header img {
    width: 350px;
    left: 60%;
  }
}
@media only screen and (max-width: 992px) {
  .project-card {
    width: 335px;
  }
}
@media only screen and (max-width: 768px) {
  .margin-responsive {
    margin-top: 12px;
  }
  .margin-link {
    margin: 0;
  }
  .project-card {
    width: 80%;
  }
  .nav-item {
    background-color: white;
    padding: 3px 0;
    text-align: center;
  }
  .nav-item::before {
    left: 0;
  }
  .nav-item:hover::before {
    width: 75%;
  }
  .navbar-collapse {
    margin-top: -15px;
  }
}
@media only screen and (max-width: 680px) {
  .about-column {
    margin-bottom: 45px;
  }
}
@media only screen and (max-width: 600px) {
  .project-card {
    width: 100%;
  }
  header {
    background-color: #0da2ff;
  }
  header h1 {
    font-size: 50px;
  }
  header h2 {
    color: white;
  }
  header img {
    width: 320px;
    left: 63%;
  }
}
@media only screen and (max-width: 550px) {
  .about-column {
    margin-bottom: 0;
  }
  header {
    text-align: center;
    padding: 0;
  }
  header h1 {
    margin: 16vh 0 -10px 0;
    font-size: 45px;
  }
  header h2 {
    font-size: 35px;
  }
  header img {
    width: 300px;
    left: 20%;
  }
  .navbar-brand {
    margin: 0 0 0 10px;
  }
  .navbar-brand img {
    width: 180px;
  }
  .navbar-collapse {
    margin-top: 2px;
  }
}
@media only screen and (max-width: 500px) {
  header h1 {
    font-size: 45px;
  }
}
@media only screen and (max-width: 400px) {
  header h1 {
    font-size: 35px;
  }
  header h2 {
    font-size: 30px;
  }
  header img {
    width: 280px;
  }
  .experience-card {
    width: 91%;
  }
  .projects-gallery {
    width: 100%;
  }
}
@media only screen and (max-width: 369px) {
  .navbar {
    height: 110px;
  }
  .navbar-brand {
    margin-left: 50%;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
  .icons-holder {
    padding-left: 23%;
  }
  .navbar-collapse {
    margin-top: -3px;
  }
  .card-details h2 {
    font-size: 30px;
    margin-top: 0px;
  }
  .company-name {
    margin-bottom: 0;
  }
}
@media only screen and (max-width: 300px) {
  .main-text {
    font-size: 30px;
  }
  .experience-card {
    width: 100%;
  }
}
@media only screen and (max-width: 550px) and (max-height: 720px) {
  header h1 {
    margin: 20px 0 -10px 0;
  }
}
@media only screen and (max-width: 550px) and (max-height: 620px) {
  header img {
    width: 250px;
    left: 30%;
  }
}
@media only screen and (max-width: 550px) and (max-height: 545px) {
  header img {
    margin-bottom: -50px;
  }
}
@media only screen and (max-width: 550px) and (max-height: 490px) {
  header h1 {
    margin: 0 0 -10px 0;
  }
  header img {
    width: 230px;
  }
}
@media only screen and (max-width: 550px) and (max-height: 440px) {
  header h1 {
    font-size: 40px;
  }
  header h2 {
    font-size: 25px;
  }
  header img {
    width: 210px;
  }
}
@media only screen and (max-width: 550px) and (max-height: 400px) {
  header h1 {
    font-size: 35px;
  }
  header h2 {
    font-size: 25px;
  }
  header img {
    width: 190px;
  }
}
@media only screen and (max-width: 550px) and (max-height: 365px) {
  header h1 {
    font-size: 30px;
  }
  header h2 {
    font-size: 22px;
  }
  header img {
    width: 170px;
  }
}
@media only screen and (max-width: 285px) {
  header h1 {
    font-size: 27px;
  }
  header h2 {
    font-size: 20px;
  }
  header img {
    width: 170px;
  }
}
@media only screen and (max-width: 250px) {
  .main-text {
    font-size: 25px;
  }
}
@media only screen and (max-width: 290px) and (max-height: 476px) {
  header h1 {
    font-size: 30px;
    margin-top: 10px;
  }
  header img {
    width: 220px;
    left: 15%;
  }
}
@media only screen and (max-width: 290px) and (max-height: 400px) {
  header h1 {
    margin-top: 0;
  }
  header img {
    width: 205px;
  }
}
@media only screen and (max-width: 240px) {
  header h1 {
    font-size: 25px;
  }
}
@media only screen and (min-width: 1000px) and (max-height: 735px) {
  header img {
    width: 400px;
  }
}
@media only screen and (min-width: 1000px) and (max-height: 660px) {
  header img {
    width: 350px;
    left: 60%;
  }
}
.hidden {
  opacity: 0;
  -webkit-filter: blur(5px);
          filter: blur(5px);
  margin-left: -40%;
}